package com.unis.base.server.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyTfzyxxHisVO;
import com.unis.base.common.vo.TyTfzyxxVO;
import com.unis.base.server.domain.TyTfzyxxDomain;
import com.unis.base.server.service.TyTfzyxxService;
import com.unis.common.utils.DateUtil;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyCrkjsxxServiceImpl
 * @ProjectName TyCrkjsxxServiceImpl
 * @date 2019/07/22 17点26分
 */
@Service
public class TyTfzyxxServiceImpl implements TyTfzyxxService {

	@Autowired
	private TyTfzyxxDomain tyTfzyxxDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<TyTfzyxxVO> getTyTfzyxxList(TyTfzyxxVO tyTfzyxxVO) {
		return tyTfzyxxDomain.getTyTfzyxxList(tyTfzyxxVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public PageInfo<TyTfzyxxVO> getTyTfzyxxPage(TyTfzyxxVO tyTfzyxxVO, Integer pageNum, Integer pageSize) {
		return tyTfzyxxDomain.getTyTfzyxxPage(tyTfzyxxVO,pageNum,pageSize);
	}

	/**
	 * 添加
	 */
	@Override
	public int insert(TyTfzyxxVO tyTfzyxxVO) {
		String date = DateUtil.getCurrentDateTime16Str();
		tyTfzyxxVO.setTfzyid("TF"+date);
		return tyTfzyxxDomain.insert(tyTfzyxxVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(TyTfzyxxVO tyTfzyxxVO) {
		return tyTfzyxxDomain.update(tyTfzyxxVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String tfzyid) {
		TyTfzyxxVO tyTfzyxxVO = tyTfzyxxDomain.getTyTfzyxxById(tfzyid);
		if (tyTfzyxxVO == null) {
			return -1;
		}
		tyTfzyxxVO.setStatus(0);
		return tyTfzyxxDomain.update(tyTfzyxxVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public TyTfzyxxVO getTfzyxxByTfzyxxid(String tfzyid) {
		return tyTfzyxxDomain.getTyTfzyxxById(tfzyid);
	}

	/**
	 * 通风作业信息-更改备案状态
	 * @param tyXzzyxxVO
	 * @return
	 */
	@Override
	public Integer ventilationOperationStatus(TyTfzyxxHisVO tyTfzyxxHisVO) {
		return tyTfzyxxDomain.ventilationOperationStatus(tyTfzyxxHisVO);
	}
	
	
}
